default_language_version:
    python: python3.13

repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: check-added-large-files
      - id: check-yaml
      - id: check-docstring-first

  - repo: local
    hooks:
      - id: ruff
        name: ruff
        entry: ruff check .
        language: python
        types: [python]
        always_run: true